version 15.1
clear*

* set working directory
cd "/Users/dan/Google Drive/Chile_Paper/JDE REVISION/THIRD JDE SUBMISSION/REPLICATION FILES (Apr 2018)"

* create daily aggregate dataset (this requires proprietary data on the IGPA index, which can be purchased from the Santiago Stock Market)
do create_daily_dataset.do

* reset working directory (it has been changed by "create_daily_dateset.do")
cd "/Users/dan/Google Drive/Chile_Paper/JDE REVISION/THIRD JDE SUBMISSION/REPLICATION FILES (Apr 2018)"

* express in IGPA in deviation from 1969 mean
sum IGPA if year==1969
scalar IGPA_1969_mean=r(mean)
gen rebased_IGPA=IGPA/IGPA_1969_mean*100
label variable rebased_IGPA "IGPA (1969=100)"

* Figure 2
line rebased_IGPA tdays_to_allende if tdays_to_allende>=-40 & tdays_to_allende <=40, name(figure_2) xline(-1, lstyle( color(cranberry)) lpattern(dash) ) ///
xlabel(-40 /*-35*/ -30 /*-25*/ -20 /*-15*/ -10 /*-5*/ -1 /*5*/ 10 /*15*/ 20 /*25*/ 30 /*35*/ 40, noticks) lpattern(solid) color(blue) ///
xtitle("Trading days to Sep.1970 election (0=first after-election trading day)") legend(off) 
graph export "Figures/Figure_2.pdf", name(figure_2) replace

* change base year to 1972
sum IGPA if year==1972
scalar IGPA_1972_mean=r(mean)
replace rebased_IGPA=IGPA/IGPA_1972_mean*100
label variable rebased_IGPA "IGPA (1972=100)"

* Figure 4
line rebased_IGPA tdays_to_coup if tdays_to_coup>=-40 & tdays_to_coup <=40, name(figure_4) xline(-1, lstyle( color(cranberry)) lpattern(dash) ) ///
xlabel(-40 /*-35*/ -30 /*-25*/ -20 /*-15*/ -10 /*-5*/ -1 /*5*/ 10 /*15*/ 20 /*25*/ 30 /*35*/ 40, noticks) lpattern(solid) color(blue) ///
xtitle("Trading days to Sep.1973 coup (0=first after-coup trading day)") legend(off) 
graph export "Figures/Figure_4.pdf", name(figure_4) replace

* Figure 6
egen std_ret=std(igpa_change)
twoway histogram std_ret, frequency width(0.10) bcolor(blue) ytitle("Frequency", size(medlarge)) xtitle("IGPA daily change" "(standard deviations from the mean)", size(medlarge)) xlabel(-20 -10 0 10 20 30 40 50, tpos(inside))  name(figure_6) ///
|| pcarrowi 600 -15 12.5 -16.137135, leg(off) lcolor(cranberry) mlcolor(cranberry) ///
|| pcarrowi 500 40 12.5 57.5, leg(off) lcolor(cranberry) mlcolor(cranberry) ///
, text(700 -12 "1970 election") ///
text(600 40 "1973 coup") 
graph export "Figures/Figure_6.pdf", name(figure_6) replace
