version 15.1
clear*

* set working directory
cd "/Users/dan/Google Drive/Chile_Paper/JDE REVISION/THIRD JDE SUBMISSION/REPLICATION FILES (Apr 2018)"

* create firm-level dataset
do create_firm_level_dataset.do
keep if (Allende_sep_change!=. | coup_sep_change!=. | Allende_day_change!=. | coup_day_change!=.)

* average price changes by sector, using only sector classification provided by El Mercurio (old Table 2 - as reported in the Working Paper version)
sum Allende_day_change Allende_sep_change coup_day_change coup_sep_change
bysort EM_sector: sum Allende_day_change Allende_sep_change coup_day_change coup_sep_change

* gen more precise sector-classification to be employed in Table 2
gen sector=""

count if EM_sector=="agriculture" & CATEGORIA!="AGROPECUARIAS" & CATEGORIA!=""
replace sector="Agriculture and Fishing" if EM_sector=="agriculture" | CATEGORIA=="AGROPECUARIAS" | CATEGORIA=="PESQUERAS"

count if EM_sector=="banking" & CATEGORIA!="BANCARIAS" & CATEGORIA!=""
replace sector="Banking & Insurance" if EM_sector=="banking" | CATEGORIA=="BANCARIAS" | EM_sector=="insurance" | CATEGORIA=="CIA DE SEGUROS"

*count if EM_sector=="insurance" & CATEGORIA!="CIA DE SEGUROS" & CATEGORIA!=""
*replace sector="Insurance" if EM_sector=="insurance" | CATEGORIA=="CIA DE SEGUROS"

count if EM_sector=="metallurgy" & CATEGORIA!="METALURGICAS" & CATEGORIA!=""
replace sector="Metallurgy" if EM_sector=="metallurgy" | CATEGORIA=="METALURGICAS"

count if EM_sector=="mining" & CATEGORIA!="MINERAS" & CATEGORIA!=""
replace sector="Mining" if EM_sector=="mining" | CATEGORIA=="MINERAS"

count if EM_sector=="textile" & CATEGORIA!="TEXTILES" & CATEGORIA!=""
replace sector="Textile" if EM_sector=="textile" | CATEGORIA=="TEXTILES"

tab EM_sector if sector==""

*replace sector="Fishing" if CATEGORIA=="PESQUERAS"

replace sector="Public Utilities" if CATEGORIA=="UTLIDAD PUBLICA"

replace sector="Manufacturing" if (CATEGORIA=="MANUFACTURA" | (sl_sector=="INDUSTRIAS MANUFACTURERAS" & CATEGORIA=="" & EM_sector=="manufacturing_and_others") | firm=="Indugas")

replace sector="Real Estate & Construction" if CATEGORIA=="INMOB, CONST Y HOTELES"

replace sector="Commerce and transportation" if CATEGORIA=="COMERC, DIST Y FERIAS" | CATEGORIA=="MARITIMAS"

replace sector="Others" if CATEGORIA=="MERCADO DE VALORES" | CATEGORIA=="DEPORTES, ESPARC E HIPICA" | CATEGORIA=="IMPRENTA Y LITOGRAFIA"

replace sector="food and beverages" if (CATEGORIA=="ALIM, BEB Y LICORES"|firm=="Molinera Coronel")

* check that all firms are included in some category
list firm CATEGORIA sl_sector if sector==""

* TABLE 2
*mat table_2 = (. , . , . , . , . , . , . , . , . , . , . , .)
foreach column in Allende_day_ch Allende_sep_ch coup_day_ch coup_sep_ch {
	sum `column'
	scalar n_all_`column' = r(N)
	scalar m_all_`column' = r(mean)
	}
mat table_2 = (n_all_Allende_day_ch, m_all_Allende_day_ch, . , n_all_Allende_sep_ch, m_all_Allende_sep_ch, . , n_all_coup_day_ch, m_all_coup_day_ch, . , n_all_coup_sep_ch, m_all_coup_sep_ch)
	
levelsof sector, local(sectors)
foreach sector in `sectors' {
	foreach column in Allende_day_ch Allende_sep_ch coup_day_ch coup_sep_ch {
		dis as text "`sector' - `column'"
		sum `column' if sector=="`sector'"
		local fw_sector=ustrword("`sector'", 1)
		scalar n_`fw_sector'_`column'=r(N)
		scalar m_`fw_sector'_`column'=r(mean)
		}
	mat table_2= (nullmat(table_2) \ n_`fw_sector'_Allende_day_ch, m_`fw_sector'_Allende_day_ch, . , n_`fw_sector'_Allende_sep_ch, m_`fw_sector'_Allende_sep_ch, . , n_`fw_sector'_coup_day_ch, m_`fw_sector'_coup_day_ch, . , n_`fw_sector'_coup_sep_ch, m_`fw_sector'_coup_sep_ch)
	}
matrix rownames table_2 = All `sectors'
matrix colnames table_2 = n change " " n change " " n change " " n change
mat list table_2

esttab matrix(table_2) using Table2.tex, booktabs replace
