clear*
set more off
version 15.1

* set working directory
cd "/Users/dan/Google Drive/Chile_Paper/JDE REVISION/THIRD JDE SUBMISSION/REPLICATION FILES (Apr 2018)"

* import Hamuy surveys
do import_hamuy_surveys.do

* Table x: Hamuy’s pre-electoral surveys: answers to the questions ‘Who would you vote for if the presidential election were to be held next Sunday’ and ‘Who do you think will win the upcoming presidential election?’ – Whole sample
foreach survey in jan_1969 feb_1969 july_1969 mar_1970_1 mar_1970_2 may_1970 june_1970 july_1970_1 july_1970_2 aug_1970_1 aug_1970_2 {

	dis as text "`survey'"
	count if survey=="`survey'"
	tab voting_intention if (survey=="`survey'") 
	tab expected_winner if (survey=="`survey'") 

	}
	
* Table x+1: Hamuy’s pre-electoral surveys: share of respondents expecting Allende to win the 1970 presidential election among the wealthy
foreach survey in mar_1970_1 mar_1970_2 may_1970 june_1970 july_1970_1 july_1970_2 aug_1970_1 aug_1970_2 {

	qui count if survey=="`survey'"
	dis as text "--- `survey' - whole sample (n=" r(N) ") ---"
	tab expected_winner if (survey=="`survey'") & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic")

	qui count if survey=="`survey'" & (house_type=="Luxury Mansion" | house_type=="Luxury Apartment"| house_type=="Upper-Middle Class Home")
	dis as text "--- `survey' - upper-middle class or luxury homes (n=" r(N) ") ---"
	tab expected_winner if (survey=="`survey'") & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic") & (house_type=="Luxury Mansion" | house_type=="Luxury Apartment"| house_type=="Upper-Middle Class Home")

	count if survey=="`survey'" & (socio_economic_status=="good"|socio_economic_status=="very good")
	dis as text "--- `survey' - good or very good socio-economic status (n=" r(N) ") ---"
	tab expected_winner if (survey=="`survey'") & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic") & (socio_economic_status=="good"|socio_economic_status=="very good")
	
	qui count if survey=="`survey'" & (socio_economic_status=="very good")
	dis as text "--- `survey' - very good socio-economic status (n=" r(N) ") ---"
	tab expected_winner if (survey=="`survey'") & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic") & (socio_economic_status=="very good")
	
	qui count if survey=="`survey'" & (salary=="More than sufficient, can save some")
	dis as text "--- `survey' - can save (n=" r(N) ") ---"
	tab expected_winner if (survey=="`survey'") & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic") & (salary=="More than sufficient, can save some")
	}

local last_four survey=="july_1970_1"|survey=="july_1970_2"|survey=="aug_1970_1"|survey=="aug_1970_2"

qui count if (`last_four')
dis as text "--- tot. 7-8/1970 - whole sample (n=" r(N) ") ---" 
tab expected_winner if (`last_four') & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic")

qui count if (`last_four') & (house_type=="Luxury Mansion" | house_type=="Luxury Apartment"| house_type=="Upper-Middle Class Home")
dis as text "--- tot. 7-8/1970 - upper-middle class or luxury homes (n=" r(N) ") ---" 
tab expected_winner if (`last_four') & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic") & (house_type=="Luxury Mansion" | house_type=="Luxury Apartment"| house_type=="Upper-Middle Class Home")

qui count if (`last_four') & (socio_economic_status=="good"|socio_economic_status=="very good")
dis as text "--- tot. 7-8/1970 - good or very good socio-economic status (n=" r(N) ") ---" 
tab expected_winner if (`last_four') & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic") & (socio_economic_status=="good"|socio_economic_status=="very good")
	
count if (`last_four') & (socio_economic_status=="very good")

tab expected_winner if (`last_four') & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic") & (socio_economic_status=="very good")
dis as text "--- tot. 7-8/1970 - very good socio-economic status (n=" r(N) ") ---" 

qui count if (`last_four') & (salary=="More than sufficient, can save some")
dis as text "--- tot. 7-8/1970 - can save (n=" r(N) ") ---" 
tab expected_winner if (`last_four') & (expected_winner=="Allende"|expected_winner=="Alessandri"|expected_winner=="Tomic") & (salary=="More than sufficient, can save some")
