version 15.1
clear*

*set working directory
cd "/Users/dan/Google Drive/Chile_Paper/JDE REVISION/THIRD JDE SUBMISSION/REPLICATION FILES (Apr 2018)"

*** input firm-sector list from Salvaj & Lluch (2012) ***
import excel "salvaj_firm_classification/Chile 1970.xlsx", sheet("Salvaj Lluch") firstrow clear
duplicates list label sector
keep label sector
rename sector sl_sector
replace sl_sector="Real Estate" if sl_sector=="Real State" | sl_sector=="ACTIVIDADES INMOBILIARIAS"
replace sl_sector="Textiles" if label=="TEXTIL PROGRESO" /* mistake in sl_dataset identified by cross-checking with the other two sources */
gen EMPRESAS=label

* drop EMPRESAS/EMPRESA from names
replace EMPRESAS = subinstr(label, "EMPRESAS ", "", 1) if substr(label, 1, 9) == "EMPRESAS "
replace EMPRESAS = subinstr(label, "EMPRESA ", "", 1) if substr(label, 1, 8) == "EMPRESA "

* drop CIA (= company) from names
replace EMPRESAS = subinstr(label, "CIA ", "", 1) if substr(label, 1, 4) == "CIA "

* drop SA from names
gen reversed = reverse(EMPRESAS)
replace reversed = subinstr(reverse, "AS ", "", 1) if substr(reversed, 1, 3) == "AS "
replace EMPRESAS = reverse(reversed) if regexm(EMPRESAS,".*SA")
drop reversed

* harmonize names
replace EMPRESAS="AUCANQUILCHA" if EMPRESAS=="SOCIEDAD AZUFRERA AUCANQUILCHA"
replace EMPRESAS="AGENCIAS GRAHAM" if EMPRESAS=="AGENCIAS GRAHAM SOCIEDAD ANONIMA COMERCIAL"
replace EMPRESAS="VENTANAS" if EMPRESAS=="AGRICOLA LAS VENTANAS"
replace EMPRESAS="ASTILLEROS HABAS" if EMPRESAS=="ASTILLEROS LAS HABAS"
replace EMPRESAS="BELLAVISTA-TOME" if EMPRESAS=="PAÑOS BELLAVISTA TOME"
replace EMPRESAS="CEMENTO MELON" if EMPRESAS=="FABRICA DE CEMENTO EL MELON"
replace EMPRESAS="CHITECO" if EMPRESAS=="CHILENA DE TEJIDOS CHITECO"
replace EMPRESAS="CERVECERIAS" if EMPRESAS=="CERVECERIAS UNIDAS"
replace EMPRESAS="CICOMA" if EMPRESAS=="COMERCIAL SA (CICOMA)"
replace EMPRESAS="CONCHA Y TORO" if EMPRESAS=="VINA CONCHA Y TORO"
replace EMPRESAS="CONTINENTAL" if EMPRESAS=="BANCO CONTINENTAL" & sl_sector=="Banks"
replace EMPRESAS="CRISTALERIAS CHILE" if EMPRESAS=="CRISTALERIAS DE CHILE"
replace EMPRESAS="ELECTROMAT" if EMPRESAS=="ELECTROMAT SAC."
replace EMPRESAS="EXPORT. MADERAS" if EMPRESAS=="EXPORTADORA DE MADERAS DE CHILE"
replace EMPRESAS="FERIA SAN CARLOS" if EMPRESAS=="FERIA DE SAN CARLOS"
replace EMPRESAS="GENTE GRANDE" if EMPRESAS=="GANADERA GENTE GRANDE"
replace EMPRESAS="PESQUERA IQUIQUE" if EMPRESAS=="PESQUERA IQUIQUE - GUANAYE" 
replace EMPRESAS="PLANSA" if EMPRESAS=="PLASTICOS NACIONALES SA PLANSA"
replace EMPRESAS="SOPROCAL" if EMPRESAS=="SOPROCAL CALERIAS E INDUSTRIAS" 
replace EMPRESAS="RUPANCO" if EMPRESAS=="SOC AGRICOLA DE NUBLE Y RUPANCO" 
replace EMPRESAS="EDIFICIO CARRERA" if EMPRESAS=="DE RENTA EDIFICIO CARRERA"
replace EMPRESAS="GIDI" if EMPRESAS=="CONSTRUCTORA ENRIQUE GIDI"
replace EMPRESAS="FENSA" if EMPRESAS=="FABRICA DE ENLOZADOS SA FENSA"
replace EMPRESAS="FERIA DE LOS AGRICULTORES" if EMPRESAS=="S. A. FERIA DE LOS AGRICULTORES"
replace EMPRESAS="FOSFOROS" if EMPRESAS=="CHILENA DE FOSFOROS"
replace EMPRESAS="FISK" if EMPRESAS=="IMPORTADORA FISK SAC."
replace EMPRESAS="FLUXA" if EMPRESAS=="FLUXA INDUSTRIAS DE CUERO"
replace EMPRESAS="HUCKE HERMANOS" if EMPRESAS=="HUCKE HERMANOS SAC" 
*replace EMPRESAS="INDUSTRIAS VARIAS" if EMPRESAS=="INDUSTRIAS VARIAS SA" 
*replace EMPRESAS="INMOBILIARIA HUELEN" if EMPRESAS=="INMOBILIARIA HUELEN SA" 
*replace EMPRESAS="INMOBILIARIA ESMERALDA" if EMPRESAS=="INMOBILIARIA ESMERALDA SA" 
replace EMPRESAS="INTEROCEANICA" if EMPRESAS=="CHILENA DE NAVEGACION INEROCEANICA"
replace EMPRESAS="MADERAS CHOLGUAN" if EMPRESAS=="MADERAS PRENSADAS CHOLGUAN"
replace EMPRESAS="LAGUNA BLANCA" if EMPRESAS=="SOCIEDAD GANADERA DE LAGUNA BLANCA"
replace EMPRESAS="LOTA-SCHWAGER" if EMPRESAS=="CARBONIFERA LOTA SCHWAGER"
replace EMPRESAS="OVEJA TOME" if EMPRESAS=="PANOS OVEJA TOME"
replace EMPRESAS="POLPAICO" if EMPRESAS=="CEMENTO POLPAICO"
replace EMPRESAS="RAYONHIL A" if EMPRESAS=="TEXTIL RAYONHILL"
replace EMPRESAS="REFINERIA DE VINA DEL MAR" if EMPRESAS=="REFINERIA DE AZUCAR DE VINA DEL MAR"
replace EMPRESAS="REFRACTARIOS LOTA-GREEN A" if EMPRESAS=="REFRACTARIOS LOTA GREEN"
replace EMPRESAS="CONSTITUCION" if EMPRESAS=="BANCO DE CONSTITUCION"
replace EMPRESAS="CREDITO" if EMPRESAS=="BANCO DE CREDITOS E INVERSIONES (BCI)"
replace EMPRESAS="EDWARDS" if EMPRESAS=="BANCO EDWARDS"
replace EMPRESAS="ESPANOL" if EMPRESAS=="BANCO ESPANOL - CHILE"
replace EMPRESAS="INDURA" if EMPRESAS=="INDUSTRIA CHILENA DE SOLDADURAS SA INDURA"
replace EMPRESAS="PACIFICO" if EMPRESAS=="BANCO DEL PACIFICO"
replace EMPRESAS="CEMENTOS BIOBIO" if EMPRESAS=="CEMENTOS BIO BIO"
replace EMPRESAS="SUDAMERICANO" if EMPRESAS=="BANCO SUDAMERICANO"
replace EMPRESAS="PANAMERICANO" if EMPRESAS=="BANCO PANAMERICANO"
replace EMPRESAS="LA ROSA SOFRUCO" if EMPRESAS=="SOC AGRICOLA LA ROSA SOFRUCO"
replace EMPRESAS="LOZA DE PENCO" if EMPRESAS=="FABRICA NACIONAL DE LOZA DE PENCO"
replace EMPRESAS="OSORNO" if EMPRESAS=="BANCO OSORNO Y LA UNION"
replace EMPRESAS="COPIHUE" if EMPRESAS=="FORESTAL COPIHUE"
replace EMPRESAS="PAPELERA PONS" if EMPRESAS=="PAPELERA PONS SA.C.I."
replace EMPRESAS="RENTA URBANA" if EMPRESAS=="DE RENTA URBANA PASAJE MATTE"
replace EMPRESAS="QUIMICA INDUSTRIAL" if EMPRESAS=="INDUSTRIAS QUIMICAS Y FARMACEUTICAS"
replace EMPRESAS="SUMAR" if EMPRESAS=="MANUFACTURAS SUMAR"
replace EMPRESAS="TABACOS" if EMPRESAS=="CHILENA DE TABACOS"
replace EMPRESAS="TATTERSALL" if EMPRESAS=="SOC EL TATTERSALL"
replace EMPRESAS="TIERRA DEL FUEGO" if EMPRESAS=="GANADERA TIERRA DEL FUEGO"
replace EMPRESAS="VICTORIA PTE. ALTO" if EMPRESAS=="FABRICA VICTORIA DE PUENTE ALTO SA TEXTIL"
replace EMPRESAS="VIDRIOS CRISTALES LIRQUEN" if EMPRESAS=="VIDRIOS LIRQUEN"
replace EMPRESAS="CAUPOLICAN" if EMPRESAS=="TEJIDOS CAUPOLICAN"
replace EMPRESAS="VOLCAN" if EMPRESAS=="INDUSTRIAL EL VOLCAN"
replace EMPRESAS="EMP. JUAN YARUR" if EMPRESAS=="JUAN YARUR"
*replace EMPRESAS="CHIPRODAL" if EMPRESAS=="CHIPRODAL SA"

*replace EMPRESAS = regexs(1) if regexm(EMPRESAS,".*SA")

tempfile salvaj_list
save `salvaj_list'

*** inpute 1970 firm-sector list from Santiago Stock Market (provided by Salvaj) ***
import excel "salvaj_firm_classification/Chile 1970.xlsx", sheet("Stock market") firstrow clear
* deal with duplicates
duplicates list EMPRESAS CATEGORIA
duplicates drop EMPRESAS CATEGORIA, force
duplicates list EMPRESAS
replace EMPRESAS="O'HIGGINS_SEGUROS" if EMPRESA=="O'HIGGINS" & CATEGORIA=="CIA DE SEGUROS"
replace EMPRESAS="BANCO O'HIGGINS" if EMPRESA=="O'HIGGINS" & CATEGORIA=="BANCARIAS"
replace EMPRESAS="CHILE_SEGUROS" if EMPRESA=="CHILE" & CATEGORIA=="CIA DE SEGUROS"
replace EMPRESAS="CONCEPCION_SEGUROS" if EMPRESA=="CONCEPCION" & CATEGORIA=="CIA DE SEGUROS"
replace EMPRESAS="BANCO DE CONCEPCION" if EMPRESA=="CONCEPCION" & CATEGORIA=="BANCARIAS"
* harmonize some names with our firm-level dataset
replace EMPRESAS="BANCO DE CHILE" if EMPRESAS=="CHILE" & CATEGORIA=="BANCARIAS"
replace EMPRESAS="BANCO COMERCIAL DE CURICO" if EMPRESAS=="COM. DE CURICO A/can"
replace EMPRESAS="BANCO NACIONAL DEL TRABAJO" if EMPRESAS=="NAC. DEL TRAB A/CAN"
replace EMPRESAS="BELLAVISTA-TOME" if EMPRESAS=="BELLAVISTA TOME" 
*replace EMPRESAS="CEMENTO MELON" if EMPRESAS=="MELON, EMPRESAS IND EL " 
replace EMPRESAS="CEMENTOS BIOBIO" if EMPRESAS=="CEMENTOS BIO BIO"
replace EMPRESAS="CERVECERIAS" if EMPRESAS=="CERCECERIAS UNIDAS"
replace EMPRESAS="CHATAL" if EMPRESAS=="CHATAL (ACC A Y B)"
replace EMPRESAS="CIA. INDUSTRIAL" if EMPRESAS=="COMPANIA INDUSTRIAL"
replace EMPRESAS="COLORANTES" if EMPRESAS=="COLORANTES, A EMISION"
replace EMPRESAS="CONFEC. OXFORD" if EMPRESAS=="CONFECCIONES OXFORD"
replace EMPRESAS="CONSORCIO NIETO" if EMPRESAS=="CONSORCIO NIETO HNOS"
replace EMPRESAS="CREDITO" if EMPRESAS=="CREDITOS E INVERSIONES"
replace EMPRESAS="CRISTALERIAS CHILE" if EMPRESAS=="CRISTALERIAS DE CHILE"
replace EMPRESAS="DELIRIO PUNITAQUI" if EMPRESAS=="DELIRIO PUNITAQUI A/E"
replace EMPRESAS="ELECTRICA LITORAL" if EMPRESAS=="ELECTRICA DEL LITORAL"
replace EMPRESAS="ESTABLEC. NOBIS" if EMPRESAS=="EST NOBIS, DP DE CANJE"
replace EMPRESAS="EMP. JUAN YARUR" if EMPRESAS=="EMPRESAS JUAN YARUR"
replace EMPRESAS="GAS DE SANTIAGO" if EMPRESAS=="GAS DE SANTIAGO (GASCO)"
replace EMPRESAS="HIPOTECARIO CHILE" if EMPRESAS=="HIPOTECARIO DE CHILE"
replace EMPRESAS="HUCKE HERMANOS" if EMPRESAS=="HUCKE HNOS S.A.C"
replace EMPRESAS="INDUS. MELON" if EMPRESAS=="MELON, EMPRESAS IND EL "
replace EMPRESAS="INDUSTRIAL" if EMPRESAS=="INDUSTRIAL, A EMISION ENE"
replace EMPRESAS="INDUSTRIAS CHILENA CIC" if EMPRESAS=="CIC"
replace EMPRESAS="INV. J.M. CARRERA" if EMPRESAS=="INV. JOSE MIGUEL CARRERA"
replace EMPRESAS="BANCO ISRAELITA DE CHILE" if EMPRESAS=="ISRAELITA" & CATEGORIA=="BANCARIAS"
replace EMPRESAS="LOTA-SCHWAGER" if EMPRESAS=="LOTA SCHWAGER"
replace EMPRESAS="LUCCHETTI" if EMPRESAS=="LUCHETTI"
replace EMPRESAS="MADEMSA" if EMPRESAS=="MADEMSA, A/C"
replace EMPRESAS="MADERAS CHOLGUAN" if EMPRESAS=="MADERAS PRENS. CHOLGUAN"
replace EMPRESAS="MARGOZZINI" if EMPRESAS=="MARGOZZINI HNOS"
replace EMPRESAS="MINAS Y FERTILIZANTES" if EMPRESAS=="MNAS Y FERTILIZANTES"
replace EMPRESAS="NAVIERA CORONEL" if EMPRESAS=="NAVIERA CORONEL, A EMISION"
replace EMPRESAS="OSORNO" if EMPRESAS=="OSORNO Y LA UNION"
replace EMPRESAS="PASUR" if EMPRESAS=="PASUR, PACIFICO SUR"
replace EMPRESAS="PESQUERA EPERVA" if EMPRESAS=="EPERVA"
replace EMPRESAS="PESQUERA IQUIQUE" if EMPRESAS=="PESQUER AIQUIQUE"
replace EMPRESAS="PESQUERA ROBINSON CRUSOE" if EMPRESAS=="ROBINSON CRUSOE"
replace EMPRESAS="PIZARRENO" if EMPRESAS=="PIZARENO"
replace EMPRESAS="PLASTEX" if EMPRESAS=="PLASTEX S.A.C"
replace EMPRESAS="POLPAICO" if EMPRESAS=="POLPAICO "
replace EMPRESAS="RAYONHIL A" if EMPRESAS=="RAYONHIL SERIE A"
replace EMPRESAS="REFINERIA DE VINA DEL MAR" if EMPRESAS=="REFINERIA DEL VINA DEL MAR"
replace EMPRESAS="REFRACTARIOS LOTA-GREEN A" if EMPRESAS=="REFRAC LOTA-GREEN SERIE A"
replace EMPRESAS="REFRACTARIOS LOTA-GREEN B" if EMPRESAS=="REFRAC LOTA-GREEN SERIE B"
replace EMPRESAS="QUIMICA INDUSTRIAL" if EMPRESAS=="QUIMICA INDUTRIAL"
replace EMPRESAS="SOPROLE" if EMPRESAS=="SOPROLE SERIE A"
replace EMPRESAS="TABACOS" if EMPRESAS=="TABACOS, A EMISION"
replace EMPRESAS="TRANSANDINA" if EMPRESAS=="TRASANDINA"
replace EMPRESAS="VENTANAS" if EMPRESAS=="VENTANAS, HACIENDA LAS"
replace EMPRESAS="VICTORIA PTE. ALTO" if EMPRESAS=="VICT. PTE. ALTO ANT CANJE"
replace EMPRESAS="VIDRIOS CRISTALES LIRQUEN" if EMPRESAS=="VIDRIOS, CRISTALES LIRQUEN"
replace EMPRESAS="WAGNER STEIN" if EMPRESAS=="WAGNER, STEIN Y CIA"
replace EMPRESAS="CENTRAL (SEGUROS)" if EMPRESAS=="CENTRAL" & CATEGORIA=="CIA DE SEGUROS"
replace EMPRESAS="BANCO CENTRAL DE CHILE" if EMPRESAS=="CENTRAL DE CHILE" & CATEGORIA=="BANCARIAS"
replace EMPRESAS="BANCO DE TALCA" if EMPRESAS=="TALCA"
replace EMPRESAS="VULCO" if EMPRESAS=="YULCO"

tempfile firm_sectors_list
save `firm_sectors_list'

*** import excel files where we hand-collected firm-level data from El Mercurio ***
import excel "firm_level_data_from_el_mercurio/Individual Stocks from El Mercurio.xlsx", sheet("1970Sep3") firstrow clear
gen date="1970sep3"
rename Sep3last firm
rename CLOSINGPRICE closing_price
gen traded=.
tempfile sep3
save `sep3'

import excel "firm_level_data_from_el_mercurio/Individual Stocks from El Mercurio.xlsx", sheet("1970Sep8") firstrow clear
gen date="1970sep8"
rename Sep8first firm
drop G H
rename CLOSING closing_price
gen traded=1
replace traded=0 if CHANGEfrom=="n.t."
tempfile sep8
save `sep8'

import excel "firm_level_data_from_el_mercurio/Individual Stocks from El Mercurio.xlsx", sheet("1970Sep30") firstrow clear
gen date="1970sep30"
rename Sep30 firm
rename closingprice closing_price
destring traded, replace
tempfile sep30
save `sep30'

import excel "firm_level_data_from_el_mercurio/Individual Stocks from El Mercurio.xlsx", sheet("1973Sep4") firstrow clear
gen date="1973sep4"
rename Sep4 firm
tempfile sep4_1973
save `sep4_1973'

import excel "firm_level_data_from_el_mercurio/Individual Stocks from El Mercurio.xlsx", sheet("1973Sep19") firstrow clear
gen date="1973sep19"
rename Sep19 firm
tempfile sep19_1973
save `sep19_1973'

import excel "firm_level_data_from_el_mercurio/Individual Stocks from El Mercurio.xlsx", sheet("1973Sep28") firstrow clear
gen date="1973sep28"
rename Sep28 firm
gen closing_price=closing*100
keep firm closing_price sector date
tempfile sep28_1973
save `sep28_1973'

* merge together data on stock price changes around Allende election
clear*
use `sep3'
append using `sep8'
append using `sep30'
rename SECTOR sector
keep firm closing_price sector date traded
drop if (firm=="SIMPLE AVERAGE" | firm=="BANCARIAS" | firm=="AGRICOLAS Y GANADERAS" | firm=="AGRICOLA Y GANADERAS" | firm=="MINERAS" | firm=="TEXTILES" | firm=="METALURGICAS" | firm=="INDUSTRIALES Y VARIAS" | firm=="SEGUROS")
destring closing_price, replace
gen period=.
replace period=1 if date=="1970sep3"
replace period=2 if date=="1970sep8"
replace period=3 if date=="1970sep30"

* harmonize firm names
replace firm="Banco de Chile" if firm=="Chile" & sector=="BANCARIAS"
replace firm="Chile (Seguros)" if firm=="Chile" & sector=="SEGUROS"
replace firm="Central (Seguros)" if firm=="Central" & sector=="SEGUROS"
replace firm="Central (Bancaria)" if firm=="Central" & sector=="BANCARIAS"
replace firm="Comercial O'Higgins" if firm=="Com. O'Higgins"
replace firm="Pacifico" if firm=="Pacifico "
replace firm="Bellavista-Tome" if firm=="Bellavista-Tome'"
replace firm="Confec. Oxford" if firm=="Confecc. Oxford, XD"
replace firm="Electricidad Industrial" if firm=="Electricidad Ind."
replace firm="Establec. Nobis" if firm=="Establ. Nobis"
replace firm="Famela Somela" if firm=="Famela-Somela"
replace firm="Fiap Tome" if firm=="Fiap-Tome'" | firm=="Flap-Tome"
replace firm="Forestal" if firm=="Forestal S.A."
replace firm="Gas de Concepcion" if firm=="Gas Concepcion"
*replace firm="Gas de Santiago" if firm=="Gas Santiago" /* sembra che abbia gia' in nome giusto */
replace firm="Gas de Valparaiso" if firm=="Gas Valparaiso"
replace firm="Indus. Melon" if firm=="Indus-Melon"
replace firm="Industrias Varias" if firm=="Ind. Varias" | firm=="Industrias Varias, XD"
replace firm="Inmobiliaria Huelen" if (firm=="Inm. Huelen"|firm=="Inmob. Huelen")
replace firm="Inmobiliaria Agustinas" if firm=="Inm. Agustinas" 
replace firm="Inmobiliaria Araucania" if firm=="Inm. Araucania" 
replace firm="Inmobiliaria Esmeralda" if firm=="Inm. Esmeralda"
replace firm="Inmobiliaria Las Condes" if firm=="Inm. Las Condes"
replace firm="Inversiones Iquique" if (firm=="Inv. Iquique"|firm=="Invers. Iquique")
replace firm="Inversiones San Fernando" if (firm=="Invers. San Fernando" | firm=="Inv. San Fernando")
replace firm="Banco Israelita de Chile" if firm=="Israelita" & sector=="BANCARIAS"
replace firm="Israelita (Seguros)" if firm=="Israelita" & sector=="SEGUROS"
replace firm="Mecanica" if firm=="Mecanica Ind."
replace firm="Minas y Fertiliz." if firm=="Minas y fertiliz"
replace firm="Nac. del Trabajo" if firm=="Nac del Trabajo" | firm=="Nac. Del Trabajo"
replace firm="Oveja Tome" if firm=="Oveja Tome'"
replace firm="Perlak" if firm=="Perlak XE"
replace firm="Productos Fernandez" if (firm=="Productos Fdez"|firm=="Productos Fdez.")
replace firm="Tabacos" if firm=="Tabacos XD"
replace firm="Termas Panimavida" if firm=="T. Panimavida"
replace firm="Vina Santa Rita" if firm=="Vina Sta. Rita"
replace firm="Vina Santa Teresa" if firm=="Vina Sta. Teresa"
replace firm="Chilena Consolidada" if firm=="Chilenas Consolidada"
replace firm="Embotelladora Andina" if firm=="Embottelladora Andina"
replace firm="Rayonhil A" if firm==`"Rayonhil "A""'
replace firm="Rayonhil B" if firm==`"Rayonhil "B""'
replace firm="Refineria De Vina Del Mar" if firm=="Refineria de Vina"
replace firm="Refractarios Lota-Green A" if firm==`"Refractarios "A""'
replace firm="Refractarios Lota-Green B" if firm==`"Refractarios "B""'
replace firm="Sudamericana de Vapores" if firm=="Vapores"
replace firm="Sudamericano" if firm=="Sud Americano"
replace firm="Telefonos de Chile" if firm=="Telefonos"
replace firm="Vidrios Cristales Lirquen" if firm=="Vidrios Lirquen"
replace firm="Banco de Concepcion" if firm=="Concepcion" & sector=="BANCARIAS"
replace firm="Pesquera Robinson Crusoe" if firm=="Robinson Crusoe"

* translate sector names in English
replace sector="agriculture" if sector=="AGRICOLA Y GANADERAS" | sector=="AGRICOLAS Y GANADERAS"
replace sector="banking" if sector=="BANCARIAS"
replace sector="manufacturing_and_others" if sector=="INDUSTRIALES Y VARIAS"
replace sector="metallurgy" if sector=="METALURGICAS"
replace sector="mining" if sector=="MINERAS"
replace sector="insurance" if sector=="SEGUROS"
replace sector="textile" if sector=="TEXTILES"

* declare as panel
encode firm, gen(firm_id)
encode sector, gen(sector_id)
xtset firm_id period
tab firm
xtdes

* calculate price changes in the first trading day after Allende victory and between Sep 4 and Sep 30
gen Allende_day_change=.
replace Allende_day_change=( (closing_price - l.closing_price)/l.closing_price) * 100 if period==2
gen Allende_sep_change=.
replace Allende_sep_change=( (closing_price - l2.closing_price)/l2.closing_price) * 100 if period==3
list if Allende_sep_change==0 & traded==1

keep if traded==1 
keep firm sector period Allende_day_change Allende_sep_change

preserve
keep if period==2
keep firm sector Allende_day_change
tempfile allende_day_change
save `allende_day_change'
restore

keep if period==3
keep firm sector Allende_sep_change
merge 1:1 firm sector using `allende_day_change', nogen
tempfile 1970_changes
save `1970_changes'

* merge together data on stock prices after the 1973 coup
clear*
use `sep4_1973'
append using `sep19_1973'
append using `sep28_1973'
gen period=.
replace period=1 if date=="1973sep4"
replace period=2 if date=="1973sep19"
replace period=3 if date=="1973sep28"

* harmonize names
replace firm="Banco de Chile" if firm=="Chile" & sector=="BANCARIAS"
replace firm="Chile (Seguros)" if firm=="Chile" & sector=="SEGUROS"
replace firm="Arrocera Miraflores" if firm=="Arroc. Miraflores"
replace firm="Central (Seguros)" if firm=="Central" & sector=="SEGUROS"
replace firm="Central (Bancaria)" if firm=="Central" & sector=="BANCARIAS"
replace firm="Chilena Consolidada" if (firm=="Chilena Cons."|firm=="Chilena Consolid."|firm=="Chilena Consolidad.")
replace firm="Comercial O'Higgins" if firm=="Com. O'Higgins"
replace firm="Banco de Concepcion" if firm=="Concepcion" & sector=="BANCARIAS"
replace firm="Editorial del Pacifico" if firm=="Edit. Pacifico"
replace firm="Engel y Cia." if firm=="Engel y Cia"
replace firm="Forestal" if firm=="Forestal S.A."
replace firm="Gas de Valparaiso" if firm=="Gas Valparaiso"
replace firm="Hipotecario Chile" if firm=="Hipot. Chile"
replace firm="Industrias Chilena CIC" if firm=="Cic"
replace firm="Inmobiliaria Agustinas" if firm=="Inmob. Agustinas"
replace firm="Inmobiliaria Huelen" if firm=="Inmob. Huelen"
replace firm="Inmobiliaria Araucania" if firm=="Inmob. Araucania" 
replace firm="Inmobiliaria Esmeralda" if firm=="Inmob. Esmeralda"
replace firm="Inmobiliaria Las Condes" if firm=="Inmob. Las Condes"
replace firm="Ind. y Alimentos" if firm=="Ind. Y Alimentos"
replace firm="Israelita (Seguros)" if firm=="Israelita" & sector=="SEGUROS"
replace firm="Invers. Chilena Cons." if firm=="Inv. Chilena Cons."
replace firm="Invers. San Fernando" if firm=="Inv. S. Fernando"|firm=="Inv. San Fernando"
*replace firm="Lechera Aconcagua" if firm=="Lechera Aconcagua, Ord." NO
replace firm="Papeles y Cartones" if firm=="Papeles y Cart."
replace firm="Pesquera Robinson Crusoe" if firm=="Robinson Crusoe"
replace firm="Inversiones Iquique" if (firm=="Inv. Iquique"|firm=="Invers. Iquique")
replace firm="Productos Fernandez" if (firm=="Prod. Fdez."|firm=="Productos Fdez.")
replace firm="Rayonhil A" if firm=="Rayonhil A."
replace firm="Vina Santa Rita" if firm=="Vina Sta. Rita"
replace firm="Vina Santa Teresa" if firm=="Vina Sta. Teresa"
replace firm="Termas Panimavida" if firm=="T. Panimavida"
replace firm="Tierra del Fuego" if firm=="T. del Fuego"
replace firm="Tejidos Caffarena" if firm=="Tej. Caffarena"
replace firm="Maderas Cholguan" if firm=="Mad. Choiguan"
replace firm="Arrocera Tucapel" if firm=="Accocera Tucapel"
replace firm="Electricidad Industrial" if firm=="Electricidad Ind."
replace firm="Embotelladora Andina" if firm=="Embot. Andina"
replace firm="Inversiones San Fernando" if (firm=="Invers. San Fernando" | firm=="Inv. San Fernando")
replace firm="Refineria De Vina Del Mar" if firm=="Refineria de Vina"
replace firm="Refractarios Lota-Green A" if firm=="Refractarios A"
replace firm="Refractarios Lota-Green B" if firm=="Refractarios B"
replace firm="Sudamericana de Vapores" if firm=="Vapores"
replace firm="Sudamericano" if firm=="Sud Americano"
replace firm="Telefonos de Chile" if firm=="Telefonos"
replace firm="Vidrios Cristales Lirquen" if firm=="Vidrios Lirquen"

*translate sector names in English
replace sector="agriculture" if sector=="AGRICOLA Y GANADERAS" | sector=="AGRICOLAS Y GANADERAS" | sector=="AGROPECUARIAS"
replace sector="banking" if sector=="BANCARIAS"
replace sector="manufacturing_and_others" if sector=="INDUSTRIALES Y VARIAS"
replace sector="metallurgy" if sector=="METALURGICAS"
replace sector="mining" if sector=="MINERAS"
replace sector="insurance" if sector=="SEGUROS"
replace sector="textile" if sector=="TEXTILES"

* declare as a panel
encode firm, gen(firm_id)
encode sector, gen(sector_id)
xtset firm_id period
tab firm
xtdes

* calculate price changes in the first trading day after the coup and between Sep 18 and Sep 30
gen coup_day_change=.
replace coup_day_change=( (closing_price - l.closing_price)/l.closing_price) * 100 if period==2
gen coup_sep_change=.
replace coup_sep_change=( (closing_price - l2.closing_price)/l2.closing_price) * 100 if period==3

keep firm sector period coup_day_change coup_sep_change

preserve
* (according to the data reported in El Mercurio, all the shares that have been traded in the aftermath of the coup did change their price)
keep if coup_day_change!=0 
keep if period==2
keep firm sector coup_day_change
tempfile coup_day_change
save `coup_day_change'
restore

* (according to the data reported in El Mercurio, all the shares that have been traded in the aftermath of the coup did change their price)
keep if coup_sep_change!=0
keep if period==3
keep firm sector coup_sep_change
merge 1:1 firm sector using `coup_day_change', nogen
tempfile 1973_change
save `1973_change'

* merge 1973 and 1970 data in a unique dataset
clear*
use `1970_changes'
merge 1:1 firm sector using `1973_change'

* Further harmonization/correction of names
replace firm="Cap, serie B" if firm==`"Cap "B""'
replace firm="Cap, serie F" if firm==`"Cap "F""'
replace firm="Pesquera Eperva" if firm=="Eperva"

keep firm sector Allende_sep_change coup_sep_change Allende_day_change coup_day_change

* merge our firm level data with the classifications provided by Salvaj
rename sector EM_sector
gen EMPRESAS=upper(firm)

merge 1:1 EMPRESAS using `firm_sectors_list', gen(_merge_sm)
merge 1:1 EMPRESAS using `salvaj_list', gen(_merge_sl)

list EMPRESAS EM_sector if _merge_sm==1 & (Allende_sep_change!=. | coup_sep_change!=. | Allende_day_change!=. | coup_day_change!=.)

list EMPRESAS sl_sector if sl_sector!="" & CATEGORIA==""

list EMPRESAS EM_sector if (Allende_sep_change!=. | coup_sep_change!=. | Allende_day_change!=. | coup_day_change!=.) & CATEGORIA=="" & sl_sector==""
* MOLINERA CORONEL (AS ANY 'MOLINERA') MUST BE FOOD (MILL)
* TABACOS is obviously tobacco (for the input-output-table-based regression)
* Polpaico fa cemento (nel caso sia utile) (si vede dal nome in Salvaj-lluch)
* Anche Volcan fa cemento (trovato su 'handbook of family business')

* Chilemar was in the fishing industry (information found from the website of the 'superintendencia de valores y seguros')
replace CATEGORIA="PESQUERAS" if firm=="Chilemar"

keep firm label EMPRESAS Allende_sep_change Allende_day_change coup_sep_change coup_day_change EM_sector sl_sector CATEGORIA
keep if firm!=""
label variable Allende_sep_change "Price change after 1970 election"
label variable coup_sep_change "Price change after military coup"
save firm_level_data.dta, replace
