* This code imports the Hamuy Surveys (downloaded from the Roper Center for Public Opinion Research website) into Stata 
clear*
set more off
version 15.1

* set working directory
cd "/Users/dan/Google Drive/Chile_Paper/JDE REVISION/THIRD JDE SUBMISSION/REPLICATION FILES (Apr 2018)/Hamuy Polls"

**** read in JANUARY 1969 survey
import delimited "January 1969/Jan_1969.txt", delimiter(comma) varnames(1) rowrange(11) clear

rename rtf number
forvalues i=2(1)46 {
	local j=`i'-1
	rename v`i' v`j'
	destring v`j', replace
	}

drop if number=="}"
destring number, replace

rename v1 district
tab district

rename v3 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7
tab house_type_name

rename v13 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5
tab socio_economic_status

rename v31 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "Other answers" if voting_intention_code==5
replace voting_intention_candidate = "No answer" if voting_intention_code==6
tab voting_intention_candidate

rename v42 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5
tab salary_answer

gen survey="jan_1969"
gen area="gran santiago"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
keep survey area number socio_economic_status voting_intention house_type salary
tempfile Jan_1969
save `Jan_1969'


**** read in FEB 1969 survey  *****
infile number v1 v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 v13 v14 v15 v16 v17 v18 v19 v20 v21 v22 v23 v24 v25 v26 v27 v28 v29 v30 v31 v32 v33 ///
v34 v35 v36 v37 v38 v39 v40 v41 v42 v43 using ///
"Febr 1969/Feb_1969.dat", clear

rename v1 municipality
tab municipality

rename v2 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7
tab house_type_name

rename v8 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5
tab socio_economic_status

rename v23 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "Other answers" if voting_intention_code==5
replace voting_intention_candidate = "No answer" if voting_intention_code==6
tab voting_intention_candidate

rename v41 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5
tab salary_answer

gen survey="feb_1969"
gen area="gran santiago"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
keep survey area number voting_intention house_type salary
tempfile Feb_1969
save `Feb_1969'


******* read in JULY 1969 survey *******
import delimited "Jul 1969/July_1969.txt", delimiter(comma) varnames(1) rowrange(11) clear

rename rtf number
forvalues i=2(1)89 {
	local j=`i'-1
	rename v`i' v`j'
	destring v`j', replace
	}

drop if number=="}"
destring number, replace

rename v1 municipality
tab municipality

rename v2 district
tab district

rename v3 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7
tab house_type_name

rename v60 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5
tab salary_answer

rename v63 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "Other answers" if voting_intention_code==5
replace voting_intention_candidate = "No answer" if voting_intention_code==6
tab voting_intention_candidate

rename v88 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5
tab socio_economic_status

gen survey="july_1969"
gen area="gran santiago"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
keep survey area number socio_economic_status voting_intention house_type salary
tempfile July_1969
save `July_1969'


**** read in MAR 1970 (1) survey ****
import delimited "March 1970 (1)/Mar_1970_1.txt", delimiter(comma) varnames(1) rowrange(11) clear

rename rtf number
forvalues i=2(1)52 {
	local j=`i'-1
	rename v`i' v`j'
	destring v`j', replace
	}

drop if number=="}"
destring number, replace

rename v1 municipality
tab municipality

rename v2 district
tab district

rename v3 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7
tab house_type_name

rename v19 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "I don't know" if voting_intention_code==5
replace voting_intention_candidate = "No opinion" if voting_intention_code==6
tab voting_intention_candidate

rename v28 voting_expectation_code
gen expected_winner = "Allende" if voting_expectation_code==1
replace expected_winner = "Tomic" if voting_expectation_code==2
replace expected_winner = "Alessandri" if voting_expectation_code==3
replace expected_winner = "I don't know" if voting_expectation_code==4
replace expected_winner = "No opinion" if voting_expectation_code==5
tab expected_winner

rename v36 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5
tab salary_answer

rename v51 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5
tab socio_economic_status

gen survey="mar_1970_1"
gen area="gran santiago"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
keep survey area number expected_winner socio_economic_status voting_intention house_type salary
tempfile Mar_1970_1
save `Mar_1970_1'


*** read in MAR 1970 (2) survey ****
import delimited "March 1970 (2)/Mar_1970_2.txt", delimiter(comma) varnames(1) rowrange(11) clear

rename rtf number
forvalues i=2(1)26 {
	local j=`i'-1
	rename v`i' v`j'
	destring v`j', replace
	}

drop if number=="}"
destring number, replace

rename v1 municipality
tab municipality

rename v2 district
tab district

rename v3 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7
tab house_type_name

rename v10 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "I don't know" if voting_intention_code==5
replace voting_intention_candidate = "No opinion" if voting_intention_code==6
tab voting_intention_candidate

rename v14 voting_expectation_code
gen expected_winner = "Allende" if voting_expectation_code==1
replace expected_winner = "Tomic" if voting_expectation_code==2
replace expected_winner = "Alessandri" if voting_expectation_code==3
replace expected_winner = "I don't know" if voting_expectation_code==4
replace expected_winner = "No opinion" if voting_expectation_code==5
tab expected_winner

rename v17 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5
tab salary_answer

rename v24 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5
tab socio_economic_status

gen survey="mar_1970_2"
gen area="gran santiago"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
keep survey area number expected_winner socio_economic_status voting_intention house_type salary
tempfile Mar_1970_2
save `Mar_1970_2'


**** read in MAY 1970 survey *****
import delimited "May 1970/May_1970.txt", delimiter(comma) varnames(1) rowrange(11) clear

rename rtf number
forvalues i=2(1)58 {
	local j=`i'-1
	rename v`i' v`j'
	destring v`j', replace
	}

drop if number=="}"
destring number, replace

rename v1 municipality
tab municipality

rename v2 district
tab district

rename v3 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7
tab house_type_name

rename v22 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "I don't know" if voting_intention_code==5
replace voting_intention_candidate = "No opinion" if voting_intention_code==6
tab voting_intention_candidate

rename v30 voting_expectation_code
gen expected_winner = "Allende" if voting_expectation_code==1
replace expected_winner = "Tomic" if voting_expectation_code==2
replace expected_winner = "Alessandri" if voting_expectation_code==3
replace expected_winner = "I don't know" if voting_expectation_code==4
replace expected_winner = "No opinion" if voting_expectation_code==5
tab expected_winner

rename v45 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5
tab salary_answer

rename v56 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5
tab socio_economic_status

gen survey="may_1970"
gen area="gran santiago"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
keep survey area number expected_winner socio_economic_status voting_intention expected_winner house_type salary
tempfile May_1970
save `May_1970'


*** read in JUNE 1970 survey ****
import delimited "June 1970/June_1970.txt", delimiter(comma) varnames(1) rowrange(11) clear

rename rtf number
forvalues i=2(1)85 {
	local j=`i'-1
	rename v`i' v`j'
	destring v`j', replace
	}

drop if number=="}"
destring number, replace

rename v1 municipality
tab municipality

rename v2 district
tab district

rename v3 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7
tab house_type_name

rename v32 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "I don't know" if voting_intention_code==5
replace voting_intention_candidate = "No opinion" if voting_intention_code==6
tab voting_intention_candidate

rename v40 voting_expectation_code
gen expected_winner = "Allende" if voting_expectation_code==1
replace expected_winner = "Tomic" if voting_expectation_code==2
replace expected_winner = "Alessandri" if voting_expectation_code==3
replace expected_winner = "I don't know" if voting_expectation_code==4
replace expected_winner = "No opinion" if voting_expectation_code==5
tab expected_winner

rename v47 voting_expectation_code2
gen expected_winner2 = "Alessandri" if voting_expectation_code2==1
replace expected_winner2 = "Allende" if voting_expectation_code2==2
replace expected_winner2 = "Tomic" if voting_expectation_code2==3
replace expected_winner2 = "No opinion" if voting_expectation_code2==4
tab expected_winner2

rename v71 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5
tab salary_answer

rename v83 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5
tab socio_economic_status

gen survey="june_1970"
gen area="gran valparaiso y vina del mar"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
keep survey area number expected_winner socio_economic_status voting_intention expected_winner house_type salary
tempfile June_1970
save `June_1970'


** read in AUG 1970 (1) survey *****
infile number v1 v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 v13 v14 v15 v16 v17 v18 v19 v20 v21 v22 v23 v24 v25 v26 v27 v28 v29 v30 v31 v32 v33 ///
v34 v35 v36 v37 v38 v39 v40 v41 v42 v43 v44 v45 v46 v47 v48 v49 v50 v51 v52 v53 v54 v55 v56 v57 v58 v59 v60 using ///
"Aug 1970 (1)/Aug_1970_1.dat", clear

rename v1 municipality
replace municipality=1 if municipality==0
tab municipality

rename v2 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7

rename v8 appliances_owned_code
gen appliances_owned_name = "Television" if appliances_owned_code==2
replace appliances_owned_name = "Electric_Radio" if appliances_owned_code==3
replace appliances_owned_name = "Radio" if appliances_owned_code==4
replace appliances_owned_name = "Refrigerator" if appliances_owned_code==8
replace appliances_owned_name = "Two of them" if appliances_owned_code==9
replace appliances_owned_name = "Three of them" if appliances_owned_code==10
replace appliances_owned_name = "Four of them" if appliances_owned_code==11
replace appliances_owned_name = "Five of them" if appliances_owned_code==12
replace appliances_owned_name = "Six of them" if appliances_owned_code==13
replace appliances_owned_name = "Seven of them" if appliances_owned_code==14
replace appliances_owned_name = "All of them" if appliances_owned_code==15
replace appliances_owned_name = "No Answer" if appliances_owned_code==16
replace appliances_owned_name = "None of Them" if appliances_owned_code==17

rename v17 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "I don't know" if voting_intention_code==5
replace voting_intention_candidate = "No opinion" if voting_intention_code==6

rename v20 voting_expectation_code
gen expected_winner = "Alessandri" if voting_expectation_code==1
replace expected_winner = "Allende" if voting_expectation_code==2
replace expected_winner = "Tomic" if voting_expectation_code==3
replace expected_winner = "No opinion" if voting_expectation_code==4
tab expected_winner

gen wealthy=1 if house_type_name=="Luxury Mansion" | house_type_name=="Luxury Apartment" | house_type_name=="Upper-Middle Class Home"
replace wealthy=0 if house_type_name=="Lower-Middle Class Home"|house_type_name=="Modest Home"|house_type_name=="Poor Home"|house_type_name=="Very Poor Home"

tab expected_winner
tab expected_winner if wealthy==1
tab expected_winner if wealthy==0
tab expected_winner if house_type_name=="Luxury Mansion" | house_type_name=="Luxury Apartment"

rename v46 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5
tab salary_answer

rename v59 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5
tab socio_economic_status

count if wealthy==1 & socio_economic_status== "very good" & salary_answer=="More than sufficient, can save some"

tab expected_winner if socio_economic_status== "very good"
tab expected_winner if salary_answer=="More than sufficient, can save some"

gen survey="aug_1970_1"
gen area="gran santiago"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
keep survey area number expected_winner socio_economic_status voting_intention house_type salary
tempfile Aug_1970_1
save `Aug_1970_1'


***** read in AUG 1970 (2) survey *****
import delimited "Aug 1970 (2)/Aug_1970_2.txt", delimiter(comma) varnames(1) rowrange(11) clear

rename rtf number
forvalues i=2(1)14 {
	local j=`i'-1
	rename v`i' v`j'
	destring v`j', replace
	}

drop if number=="}"
destring number, replace
	
rename v1 municipality
replace municipality=1 if municipality==0
tab municipality

rename v2 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7

encode house_type_name, gen(house_type_encoded)
tab house_type_encoded

rename v8 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "I don't know" if voting_intention_code==5
replace voting_intention_candidate = "No opinion" if voting_intention_code==6

rename v10 voting_expectation_code
gen expected_winner = "Allende" if voting_expectation_code==1
replace expected_winner = "Tomic" if voting_expectation_code==2
replace expected_winner = "Alessandri" if voting_expectation_code==3
replace expected_winner = "No opinion" if voting_expectation_code==4
replace expected_winner = "I don't know" if voting_expectation_code==5

encode expected_winner, gen(voting_expectation_encoded)

gen wealthy=1 if house_type_name=="Luxury Mansion" | house_type_name=="Luxury Apartment" | house_type_name=="Upper-Middle Class Home"
replace wealthy=0 if house_type_name=="Lower-Middle Class Home"|house_type_name=="Modest Home"|house_type_name=="Poor Home"|house_type_name=="Very Poor Home"

tab expected_winner
tab expected_winner if wealthy==1
tab expected_winner if wealthy==0
tab expected_winner if house_type_name=="Luxury Mansion" | house_type_name=="Luxury Apartment"

gen survey="aug_1970_2"
gen area="gran santiago"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
keep survey area number expected_winner voting_intention house_type

tempfile Aug_1970_2
save `Aug_1970_2'


***** read in JULY 1970 (1) survey *****
import delimited "July 1970 (1)/July_1970_1.txt", delimiter(comma) varnames(1) rowrange(11) clear

drop if rtf=="}"
rename rtf number

forvalues i=2(1)69 {
	local j=`i'-1
	rename v`i' v`j'
	cap destring v`j', replace
	}
	
destring number, replace
	
rename v1 municipality
replace municipality=1 if municipality==0
tab municipality

rename v3 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7

encode house_type_name, gen(house_type_encoded)
tab house_type_encoded	
	
rename v46 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "I don't know" if voting_intention_code==5
replace voting_intention_candidate = "No opinion" if voting_intention_code==6

rename v48 voting_expectation_code
gen expected_winner = "Alessandri" if voting_expectation_code==1
replace expected_winner = "Allende" if voting_expectation_code==2
replace expected_winner = "Tomic" if voting_expectation_code==3
replace expected_winner = "No opinion" if voting_expectation_code==4

encode expected_winner, gen(voting_expectation_encoded)

encode voting_intention_candidate, gen(voting_intention_encoded)
tab voting_intention_candidate


gen wealthy=1 if house_type_name=="Luxury Mansion" | house_type_name=="Luxury Apartment" | house_type_name=="Upper-Middle Class Home"
replace wealthy=0 if house_type_name=="Lower-Middle Class Home"|house_type_name=="Modest Home"|house_type_name=="Poor Home"|house_type_name=="Very Poor Home"

tab expected_winner
tab expected_winner if wealthy==1
tab expected_winner if wealthy==0
tab expected_winner if house_type_name=="Luxury Mansion" | house_type_name=="Luxury Apartment"

rename v56 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5

tab salary_answer

rename v67 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5
tab socio_economic_status

gen survey="july_1970_1"
gen area="valparaiso and vina del mar"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
keep survey area number expected_winner socio_economic_status voting_intention house_type salary

tempfile July_1970_1
save `July_1970_1'


****** read in JULY 1970 (2) survey ****
import delimited "July 1970 (2)/July_1970_2.txt", delimiter(comma) varnames(1) rowrange(11) clear

drop if rtf=="}"
rename rtf number

forvalues i=2(1)69 {
	local j=`i'-1
	rename v`i' v`j'
	cap destring v`j', replace
	}

rename v1 municipality
replace municipality=1 if municipality==0
tab municipality

rename v3 house_type_code
gen house_type_name = "Luxury Mansion" if house_type_code==1
replace house_type_name = "Luxury Apartment" if house_type_code==2
replace house_type_name = "Upper-Middle Class Home" if house_type_code==3
replace house_type_name = "Lower-Middle Class Home" if house_type_code==4
replace house_type_name = "Modest Home" if house_type_code==5
replace house_type_name = "Poor Home" if house_type_code==6
replace house_type_name = "Very Poor Home" if house_type_code==7

encode house_type_name, gen(house_type_encoded)
tab house_type_encoded

rename v46 voting_intention_code
gen voting_intention_candidate = "Allende" if voting_intention_code==1
replace voting_intention_candidate = "Tomic" if voting_intention_code==2
replace voting_intention_candidate = "Alessandri" if voting_intention_code==3
replace voting_intention_candidate = "None of them" if voting_intention_code==4
replace voting_intention_candidate = "I don't know" if voting_intention_code==5
replace voting_intention_candidate = "No opinion" if voting_intention_code==6

rename v48 voting_expectation_code
gen expected_winner = "Alessandri" if voting_expectation_code==1
replace expected_winner = "Allende" if voting_expectation_code==2
replace expected_winner = "Tomic" if voting_expectation_code==3
replace expected_winner = "No opinion" if voting_expectation_code==4

encode expected_winner, gen(voting_expectation_encoded)

encode voting_intention_candidate, gen(voting_intention_encoded)
tab voting_intention_candidate


gen wealthy=1 if house_type_name=="Luxury Mansion" | house_type_name=="Luxury Apartment" | house_type_name=="Upper-Middle Class Home"
replace wealthy=0 if house_type_name=="Lower-Middle Class Home"|house_type_name=="Modest Home"|house_type_name=="Poor Home"|house_type_name=="Very Poor Home"

tab expected_winner
tab expected_winner if wealthy==1
tab expected_winner if wealthy==0
tab expected_winner if house_type_name=="Luxury Mansion" | house_type_name=="Luxury Apartment"

rename v56 salary_code
gen salary_answer="More than sufficient, can save some" if salary_code==1
replace salary_answer="Sufficient, no difficulties" if salary_code==2
replace salary_answer="Not sufficient, some difficulties" if salary_code==3
replace salary_answer="Not sufficient, much hardship" if salary_code==4
replace salary_answer="No answer" if salary_code==5

tab salary_answer

rename v67 socio_economic_code
gen socio_economic_status = "very good" if socio_economic_code==1
replace socio_economic_status = "good" if socio_economic_code==2
replace socio_economic_status = "regular" if socio_economic_code==3
replace socio_economic_status = "bad" if socio_economic_code==4
replace socio_economic_status = "very bad" if socio_economic_code==5

tab expected_winner if socio_economic_status== "very good"

gen survey="july_1970_2"
gen area="Gran Santiago"
rename voting_intention_candidate voting_intention
rename house_type_name house_type
rename salary_answer salary
destring number, replace
keep survey number area expected_winner socio_economic_status voting_intention house_type salary

append using `Aug_1970_1'
append using `Aug_1970_2'
append using `July_1970_1'
append using `July_1969'
append using `Jan_1969'
append using `Feb_1969'
append using `Mar_1970_1'
append using `Mar_1970_2'
append using `May_1970'
append using `June_1970'

tab survey

replace voting_intention = "no answer" if voting_intention=="None of them" | voting_intention=="No answer"| voting_intention=="Other answers"| voting_intention=="I don't know"| voting_intention=="No opinion"

replace expected_winner = "no answer" if expected_winner=="None of them" | expected_winner=="No answer"| expected_winner=="Other answers" | expected_winner=="I don't know" | expected_winner=="No opinion"

* encode proxies for wealth
gen socio_encoded=.
replace socio_encoded=1 if socio_economic_status=="very bad"
replace socio_encoded=2 if socio_economic_status=="bad"
replace socio_encoded=3 if socio_economic_status=="regular"
replace socio_encoded=4 if socio_economic_status=="good"
replace socio_encoded=5 if socio_economic_status=="very good"

gen house_encoded=.
replace house_encoded=1 if house_type=="Very Poor Home"
replace house_encoded=2 if house_type=="Poor Home"
replace house_encoded=3 if house_type=="Modest Home"
replace house_encoded=4 if house_type=="Lower-Middle Class Home"
replace house_encoded=5 if house_type=="Upper-Middle Class Home"|house_type=="Luxury Apartment"|house_type=="Luxury Mansion"

gen salary_encoded=.
replace salary_encoded=1 if salary=="Not sufficient, much hardship"
replace salary_encoded=2 if salary=="Not sufficient, some difficulties"
replace salary_encoded=3 if salary=="Sufficient, no difficulties"
replace salary_encoded=4 if salary=="More than sufficient, can save some"

* dummy variable for weather a subject expects Allende to win the election
gen expect_allende=0
replace expect_allende=1 if expected_winner=="Allende"
replace expect_allende=. if expected_winner==""|expected_winner=="no answer"

* restore working directory
cd "/Users/dan/Google Drive/Chile_Paper/REPLICATION FILES/"
